listMyLeases
GET
/v1/me/leases
const url = 'https://testnet-rpc.necter.network/v1/me/leases?state=offered&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/me/leases?state=offered&limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”state
string
node_id
string
project_id
string
limit
integer
cursor
string
Responses
Section titled “Responses”Leases (store Task / MiningJob)
Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Example
{ "items": [ { "role": "primary", "state": "offered" } ]}